#!/usr/bin/perl 
# $Header: /home/hiro/projects/dvr2/scripts/RCS/dvr2-cancel.pl,v 1.4 2011/11/09 06:45:01 hiro Exp $
#===============================================================================
#
#         FILE:  dvr2-cancel.pl
#
#        USAGE:  ./dvr2-cancel.pl /TS/FILE
#
#  DESCRIPTION:  Cancel an existing recording
#
#       AUTHOR:  Copyright (c) 2011 Hiro Sugawara
#      CREATED:  10/24/11 09:33:01
#     REVISION:  ---
#===============================================================================

use strict;
use warnings;
use POSIX;
use File::Basename;

our $mydir	= dirname $0;
our $myname	= basename $0;
require "$mydir/dvr2-common.pl";

defined($ARGV[0]) || die "$myname: no argument\n";

foreach (@ARGV) {
	moveIEPG($_, 'scheduled', 'scheduled', undef, 'skip');
}
