#!/usr/bin/perl 
# $Header: /home/hiro/projects/dvr2/scripts/RCS/dvr2-schedule.pl,v 1.3 2011/11/08 07:56:22 hiro Exp $
#===============================================================================
#
#         FILE:  dvr2-schedule.pl
#
#        USAGE:  ./dvr2-schedule.pl $id
#
#  DESCRIPTION:  Schedule a new recording
#
#       AUTHOR:  Copyright (c) 2011 Hiro Sugawara
#      CREATED:  10/24/11 09:33:01
#     REVISION:  ---
#===============================================================================

use strict;
use warnings;
use POSIX;
use File::Basename;

our $mydir	= dirname $0;
our $myname	= basename $0;
require "$mydir/dvr2-common.pl";

defined($ARGV[0]) || die "$myname: no argument\n";

foreach (@ARGV) {
	deleteSKIP($_, 'scheduled');
	createIEPG($_, 'scheduled');
}
